#ifndef _CONVOLVE_H_
#define _CONVOLVE_H_

void *sse_convolve_alloc(int num);

int sse_convolve_real(float *x, int x_len,
		      float *h, int h_len,
		      float *y, int y_len,
		      int start, int len,
		      int step, int offset);

int sse_convolve_complex(float *x, int x_len,
			 float *h, int h_len,
			 float *y, int y_len,
			 int start, int len,
			 int step, int offset);

int base_convolve_real(float *x, int x_len,
		       float *h, int h_len,
		       float *y, int y_len,
		       int start, int len,
		       int step, int offset);

int base_convolve_complex(float *x, int x_len,
			  float *h, int h_len,
			  float *y, int y_len,
			  int start, int len,
			  int step, int offset);

#endif /* _CONVOLVE_H_ */
